Latest Diablo 3 News
Support the site! Become a Diablo: IncGamers PAL - Remove ads and more!

What version/patch/etc./etc./etc. should I play on my second PC

Discussion in 'Single Player Forum' started by Jamie, Dec 9, 2018.

  1. Jamie

    Jamie Diabloii.Net Member

    Joined:
    Dec 27, 2012
    Messages:
    571
    Likes Received:
    589
    Trophy Points:
    175
    Due to an untimely death back in the summer, I have access to another computer and sets of Diablo 2. I have finally worked up the nerve to actually grab up the computer and am making an attempt to use it.

    I had first thought of using it to glitch baal runs, but I ultimately decided that I wanted to play really old patches. When I started playing Diablo 2, I was playing when 1.09 just came out. I would like to try some of the older patches and find some of the really cool and Godly items that can spawn.
    .
    I just installed the classic D2 and it is version 1.03. Due to having so many different versions of the game, I'm not really sure what patch the game will update to if I install Xpac. I'm thinking about maybe playing 1.03 classic. I have CD Keys written down on paper and it made the classic 1.03, but I am not sure if I throw in the XP disc (it says the year 2001 on it) if it will update it to a higher patch that I don't want. I want the xpac key I have listed on the paper to turn to 1.07.

    I want to play old versions where I can get like old items that have crazy stats. I would love any advice on how to set this up.
     
    Last edited: Dec 9, 2018
  2. krischan

    krischan Europe Trade Moderator

    Joined:
    Aug 17, 2003
    Messages:
    30,149
    Likes Received:
    1,140
    Trophy Points:
    416
    When installing from the CDs and never connecting to battlenet, the game will remain at its original patch level. When installing the expansion pack, the classic game will be patched up to 1.07.

    You can install the game multiple times and each can be at a different patch level. Install it, rename the game directory, install again, rename again, install again etc., then create icons/shortcuts by hand.

    Old patch levels might have to be started with admin privileges.
     
    ArtOfSenf and Jamie like this.
  3. Jamie

    Jamie Diabloii.Net Member

    Joined:
    Dec 27, 2012
    Messages:
    571
    Likes Received:
    589
    Trophy Points:
    175
    Wonderful information! So I can upgrade to xpac, leave it at 1.07 by not connecting to b.net? But how do I install the game again when it is already uninstalled? I mean I'd be happy with just having 1.07 to play with (although 1.03 classic is intriguing lol). I would love to find some of the .07 items and be able to time travel them to my regular characters.

    Is there anything I should know about, so I don't break any rules and corrupt my hard earned items and characters @krischan . You are very helpful and I'm sorry I ask so many questions lol.
     
  4. Tatterson

    Tatterson Diabloii.Net Member

    Joined:
    Dec 19, 2016
    Messages:
    160
    Likes Received:
    215
    Trophy Points:
    48
    apparently dual wield glitch is banned in 1.07
     
  5. maxicek

    maxicek Moderator Single Player

    Joined:
    Aug 5, 2005
    Messages:
    5,938
    Likes Received:
    1,606
    Trophy Points:
    535
    All the rules for Time Travelling are in the sticky, I suggest you read carefully before you start the journey.

    Personally I would start in 1.00 Classic. Not sure why you installed 1.03 from the disk, but I think some editions (Battlechest?) had later versions on the disk.
     
  6. pharphis

    pharphis Diabloii.Net Site Pal

    Joined:
    Aug 1, 2011
    Messages:
    13,903
    Likes Received:
    1,869
    Trophy Points:
    283
    yes battlechest in recent years has included 1.12 (maybe 1.13?) for D2X, and for classic I think it's not always 1.00
     
  7. Barl

    Barl Diabloii.Net Member

    Joined:
    Jun 10, 2005
    Messages:
    290
    Likes Received:
    177
    Trophy Points:
    71
    Of the original double-jewel case style sets of CD's i've owned, they have ranged from 1.00 to 1.04 (printed on the disc). Not sure if they ever made CD's pre-patched to 1.06. The original expansion discs were 1.07 and I've not seen number other than 1.07 printed on the jewel case version. And then there's the later style paper sleeve which as pharphis mentioned was pre-patched to around 1.12.

    The collector's edition I own is PC-only 1.00. I didn't know if 1.00 hybrid Mac/PC discs existed for awhile but I own a set now. I'd like to eventually map out every CD type. That would require making a thread and conducting a survey.

    Hmm.... I've gone on a tangent.

    I'd personally recommend starting at 1.00 and then converting to 1.05 at some point once you have enough gear to your liking, and then bring that character to 1.07 to avoid having to play through the entire game in 1.07.
     
    Jamie likes this.
  8. Jamie

    Jamie Diabloii.Net Member

    Joined:
    Dec 27, 2012
    Messages:
    571
    Likes Received:
    589
    Trophy Points:
    175
    @Barl Correct. The classic discs that came with this particular old boxset were 1.03.

    Personally I'm glad it's is early as possible, so I can start as low as I want. I started playing D2 back in 1.09 and I really would enjoy playing earlier patches and getting items like the Valors ,Shakos, Rare Boots/Rings/Amulets and socket bases. I'm just not really sure what patch I should go to, how I go about setting up for the patch I want and whether I want to play pre 1.07 classic or play xpac on 1.07 or 1.08. For a Diablo 2 player, I am very computer illiterate. I used to know what I was doing, but it has been so long of a break that I took, that I don't remember how to do it all and I don't want to mess things up.
     
  9. Jamie

    Jamie Diabloii.Net Member

    Joined:
    Dec 27, 2012
    Messages:
    571
    Likes Received:
    589
    Trophy Points:
    175

    The oldest classic disc I have is in patch 1.03.
     
  10. maxicek

    maxicek Moderator Single Player

    Joined:
    Aug 5, 2005
    Messages:
    5,938
    Likes Received:
    1,606
    Trophy Points:
    535
    I think you can use Trenshadow to play 1.00 though.
     
  11. T72on1

    T72on1 Diabloii.Net Member

    Joined:
    Feb 12, 2016
    Messages:
    4,891
    Likes Received:
    3,990
    Trophy Points:
    236
  12. Jamie

    Jamie Diabloii.Net Member

    Joined:
    Dec 27, 2012
    Messages:
    571
    Likes Received:
    589
    Trophy Points:
    175
    Man I tried to use that patch switcher that is recommended and read both links and tired downloading both and switching and all I could do was get error popups or eventually get it to open up the game in 1.12, which I assume is what patch the game is currently at without touching anything. The computer I am trying it on is a different laptop that didn't have D2 until I installed here a day or two ago. the instructions don't match up with what I see when I am trying to follow it. I'm just too computer illiterate I guess.
     

Share This Page